Index: squid/src/stat.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/stat.c,v
retrieving revision 1.1.1.3.4.1.2.5
retrieving revision 1.1.1.3.4.1.2.5.2.1
diff -u -r1.1.1.3.4.1.2.5 -r1.1.1.3.4.1.2.5.2.1
--- squid/src/stat.c	28 Jul 2001 10:18:13 -0000	1.1.1.3.4.1.2.5
+++ squid/src/stat.c	27 Aug 2001 21:48:21 -0000	1.1.1.3.4.1.2.5.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: stat.c,v 1.1.1.3.4.1.2.5 2001/07/28 10:18:13 serassio Exp $
+ * $Id: stat.c,v 1.1.1.3.4.1.2.5.2.1 2001/08/27 21:48:21 tolsty Exp $
  *
  * DEBUG: section 18    Cache Manager Statistics
  * AUTHOR: Harvest Derived
@@ -39,11 +38,13 @@
 #define DEBUG_OPENFD 1
 
 typedef int STOBJFLT(const StoreEntry *);
-typedef struct {
+typedef struct
+{
     StoreEntry *sentry;
     int bucket;
     STOBJFLT *filter;
-} StatObjectsState;
+}
+StatObjectsState;
 
 /* LOCALS */
 static const char *describeStatuses(const StoreEntry *);
@@ -192,8 +193,7 @@
     snprintf(buf, 256, "%-13s %-13s %-12s %-12s",
 	storeStatusStr[entry->store_status],
 	memStatusStr[entry->mem_status],
-	swapStatusStr[entry->swap_status],
-	pingStatusStr[entry->ping_status]);
+	swapStatusStr[entry->swap_status], pingStatusStr[entry->ping_status]);
     return buf;
 }
 
@@ -241,9 +241,7 @@
     LOCAL_ARRAY(char, buf, 256);
     snprintf(buf, 256, "LV:%-9d LU:%-9d LM:%-9d EX:%-9d",
 	(int) entry->timestamp,
-	(int) entry->lastref,
-	(int) entry->lastmod,
-	(int) entry->expires);
+	(int) entry->lastref, (int) entry->lastmod, (int) entry->expires);
     return buf;
 }
 
@@ -261,11 +259,8 @@
     storeAppendPrintf(s, "\t%s\n", storeEntryFlags(e));
     storeAppendPrintf(s, "\t%s\n", describeTimestamps(e));
     storeAppendPrintf(s, "\t%d locks, %d clients, %d refs\n",
-	(int) e->lock_count,
-	storePendingNClients(e),
-	(int) e->refcount);
-    storeAppendPrintf(s, "\tSwap File %#08X\n",
-	e->swap_file_number);
+	(int) e->lock_count, storePendingNClients(e), (int) e->refcount);
+    storeAppendPrintf(s, "\tSwap File %#08X\n", e->swap_file_number);
     if (mem != NULL) {
 	storeAppendPrintf(s, "\tinmem_lo: %d\n", (int) mem->inmem_lo);
 	storeAppendPrintf(s, "\tinmem_hi: %d\n", (int) mem->inmem_hi);
@@ -282,8 +277,7 @@
 		(int) sc->copy_offset);
 	    storeAppendPrintf(s, "\t\tseen_offset: %d\n",
 		(int) sc->seen_offset);
-	    storeAppendPrintf(s, "\t\tcopy_size: %d\n",
-		(int) sc->copy_size);
+	    storeAppendPrintf(s, "\t\tcopy_size: %d\n", (int) sc->copy_size);
 	    storeAppendPrintf(s, "\t\tflags:");
 	    if (sc->flags.disk_io_pending)
 		storeAppendPrintf(s, " disk_io_pending");
@@ -391,9 +385,8 @@
 }
 #endif
 
-#ifdef _SQUID_MSWIN_
 static const char *
-sdRemoteAddr(const sde * f)
+fdRemoteAddr(const fde * f)
 {
     LOCAL_ARRAY(char, buf, 32);
     if (f->type != FD_SOCKET)
@@ -401,10 +394,10 @@
     snprintf(buf, 32, "%s.%d", f->ipaddr, (int) f->remote_port);
     return buf;
 }
-#endif
 
+#ifdef _SQUID_MSWIN_
 static const char *
-fdRemoteAddr(const fde * f)
+sdRemoteAddr(const sde * f)
 {
     LOCAL_ARRAY(char, buf, 32);
     if (f->type != FD_SOCKET)
@@ -412,25 +405,19 @@
     snprintf(buf, 32, "%s.%d", f->ipaddr, (int) f->remote_port);
     return buf;
 }
+#endif
 
 static void
 statFiledescriptors(StoreEntry * sentry)
 {
     int i;
     fde *f;
-#ifdef _SQUID_MSWIN_
-    sde *s;
-#endif
     storeAppendPrintf(sentry, "Active file descriptors:\n");
     storeAppendPrintf(sentry, "%-4s %-6s %-4s %-7s* %-7s* %-21s %s\n",
 	"File",
-	"Type",
-	"Tout",
-	"Nread",
-	"Nwrite",
-	"Remote Address",
-	"Description");
-    storeAppendPrintf(sentry, "---- ------ ---- -------- -------- --------------------- ------------------------------\n");
+	"Type", "Tout", "Nread", "Nwrite", "Remote Address", "Description");
+    storeAppendPrintf(sentry,
+	"---- ------ ---- -------- -------- --------------------- ------------------------------\n");
     for (i = 0; i < Squid_MaxFD; i++) {
 	f = &fd_table[i];
 	if (!f->flags.open)
@@ -442,25 +429,23 @@
 	    f->bytes_read,
 	    f->read_handler ? '*' : ' ',
 	    f->bytes_written,
-	    f->write_handler ? '*' : ' ',
-	    fdRemoteAddr(f),
-	    f->desc);
+	    f->write_handler ? '*' : ' ', fdRemoteAddr(f), f->desc);
     }
 #ifdef _SQUID_MSWIN_
-    for (i = 0; i < Squid_MaxFD; i++) {
-	s = &sd_table[i];
-	if (!s->flags.open)
-	    continue;
-	storeAppendPrintf(sentry, "%4d %-6.6s %4d %7d%c %7d%c %-21s %s\n",
-	    i,
-	    fdTypeStr[s->type],
-	    s->timeout_handler ? (int) (s->timeout - squid_curtime) / 60 : 0,
-	    s->bytes_read,
-	    s->read_handler ? '*' : ' ',
-	    s->bytes_written,
-	    s->write_handler ? '*' : ' ',
-	    sdRemoteAddr(s),
-	    s->desc);
+    {
+	sde *f;
+	for (i = 0; i < Squid_MaxFD; i++) {
+	    f = &sd_table[i];
+	    if (!f->flags.open)
+		continue;
+	    storeAppendPrintf(sentry, "%4d %-6.6s %4d %7d%c %7d%c %-21s %s\n",
+		i,
+		fdTypeStr[f->type],
+		f->timeout_handler ? (int) (f->timeout -
+squid_curtime) / 60 : 0, f->bytes_read, f->read_handler ? '*' : ' ',
+		f->bytes_written, f->write_handler ? '*' : ' ', sdRemoteAddr(f),
+		f->desc);
+	}
     }
 #endif
 }
@@ -487,8 +472,7 @@
 	mkrfc1123(squid_start.tv_sec));
     storeAppendPrintf(sentry, "Current Time:\t%s\n",
 	mkrfc1123(current_time.tv_sec));
-    storeAppendPrintf(sentry, "Connection information for %s:\n",
-	appname);
+    storeAppendPrintf(sentry, "Connection information for %s:\n", appname);
     storeAppendPrintf(sentry, "\tNumber of clients accessing cache:\t%u\n",
 	Counter.client_http.clients);
     storeAppendPrintf(sentry, "\tNumber of HTTP requests received:\t%u\n",
@@ -509,16 +493,14 @@
     storeAppendPrintf(sentry, "\tSelect loop called: %d times, %0.3f ms avg\n",
 	Counter.select_loops, 1000.0 * runtime / Counter.select_loops);
 
-    storeAppendPrintf(sentry, "Cache information for %s:\n",
-	appname);
-    storeAppendPrintf(sentry, "\tRequest Hit Ratios:\t5min: %3.1f%%, 60min: %3.1f%%\n",
-	statRequestHitRatio(5),
-	statRequestHitRatio(60));
-    storeAppendPrintf(sentry, "\tByte Hit Ratios:\t5min: %3.1f%%, 60min: %3.1f%%\n",
-	statByteHitRatio(5),
-	statByteHitRatio(60));
-    storeAppendPrintf(sentry, "\tStorage Swap size:\t%d KB\n",
-	store_swap_size);
+    storeAppendPrintf(sentry, "Cache information for %s:\n", appname);
+    storeAppendPrintf(sentry,
+	"\tRequest Hit Ratios:\t5min: %3.1f%%, 60min: %3.1f%%\n",
+	statRequestHitRatio(5), statRequestHitRatio(60));
+    storeAppendPrintf(sentry,
+	"\tByte Hit Ratios:\t5min: %3.1f%%, 60min: %3.1f%%\n",
+	statByteHitRatio(5), statByteHitRatio(60));
+    storeAppendPrintf(sentry, "\tStorage Swap size:\t%d KB\n", store_swap_size);
     storeAppendPrintf(sentry, "\tStorage Mem size:\t%d KB\n",
 	(int) (store_mem_size >> 10));
 #if HEAP_REPLACEMENT
@@ -533,28 +515,29 @@
     storeAppendPrintf(sentry, "\tRequests given to unlinkd:\t%d\n",
 	Counter.unlink.requests);
 
-    storeAppendPrintf(sentry, "Median Service Times (seconds)  5 min    60 min:\n");
+    storeAppendPrintf(sentry,
+	"Median Service Times (seconds)  5 min    60 min:\n");
     storeAppendPrintf(sentry, "\tHTTP Requests (All):  %8.5f %8.5f\n",
-	statMedianSvc(5, MEDIAN_HTTP) / 1000.0,
-	statMedianSvc(60, MEDIAN_HTTP) / 1000.0);
+	statMedianSvc(5, MEDIAN_HTTP) / 1000.0, statMedianSvc(60,
+	    MEDIAN_HTTP) / 1000.0);
     storeAppendPrintf(sentry, "\tCache Misses:         %8.5f %8.5f\n",
-	statMedianSvc(5, MEDIAN_MISS) / 1000.0,
-	statMedianSvc(60, MEDIAN_MISS) / 1000.0);
+	statMedianSvc(5, MEDIAN_MISS) / 1000.0, statMedianSvc(60,
+	    MEDIAN_MISS) / 1000.0);
     storeAppendPrintf(sentry, "\tCache Hits:           %8.5f %8.5f\n",
-	statMedianSvc(5, MEDIAN_HIT) / 1000.0,
-	statMedianSvc(60, MEDIAN_HIT) / 1000.0);
+	statMedianSvc(5, MEDIAN_HIT) / 1000.0, statMedianSvc(60,
+	    MEDIAN_HIT) / 1000.0);
     storeAppendPrintf(sentry, "\tNear Hits:            %8.5f %8.5f\n",
-	statMedianSvc(5, MEDIAN_NH) / 1000.0,
-	statMedianSvc(60, MEDIAN_NH) / 1000.0);
+	statMedianSvc(5, MEDIAN_NH) / 1000.0, statMedianSvc(60,
+	    MEDIAN_NH) / 1000.0);
     storeAppendPrintf(sentry, "\tNot-Modified Replies: %8.5f %8.5f\n",
-	statMedianSvc(5, MEDIAN_NM) / 1000.0,
-	statMedianSvc(60, MEDIAN_NM) / 1000.0);
+	statMedianSvc(5, MEDIAN_NM) / 1000.0, statMedianSvc(60,
+	    MEDIAN_NM) / 1000.0);
     storeAppendPrintf(sentry, "\tDNS Lookups:          %8.5f %8.5f\n",
-	statMedianSvc(5, MEDIAN_DNS) / 1000.0,
-	statMedianSvc(60, MEDIAN_DNS) / 1000.0);
+	statMedianSvc(5, MEDIAN_DNS) / 1000.0, statMedianSvc(60,
+	    MEDIAN_DNS) / 1000.0);
     storeAppendPrintf(sentry, "\tICP Queries:          %8.5f %8.5f\n",
-	statMedianSvc(5, MEDIAN_ICP_QUERY) / 1000000.0,
-	statMedianSvc(60, MEDIAN_ICP_QUERY) / 1000000.0);
+	statMedianSvc(5, MEDIAN_ICP_QUERY) / 1000000.0, statMedianSvc(60,
+	    MEDIAN_ICP_QUERY) / 1000000.0);
 
     squid_getrusage(&rusage);
     cputime = rusage_cputime(&rusage);
@@ -574,16 +557,14 @@
 
 #if HAVE_MSTATS && HAVE_GNUMALLOC_H
     ms = mstats();
-    storeAppendPrintf(sentry, "Memory usage for %s via mstats():\n",
-	appname);
+    storeAppendPrintf(sentry, "Memory usage for %s via mstats():\n", appname);
     storeAppendPrintf(sentry, "\tTotal space in arena:  %6d KB\n",
 	ms.bytes_total >> 10);
     storeAppendPrintf(sentry, "\tTotal free:            %6d KB %d%%\n",
 	ms.bytes_free >> 10, percent(ms.bytes_free, ms.bytes_total));
 #elif HAVE_MALLINFO && HAVE_STRUCT_MALLINFO
     mp = mallinfo();
-    storeAppendPrintf(sentry, "Memory usage for %s via mallinfo():\n",
-	appname);
+    storeAppendPrintf(sentry, "Memory usage for %s via mallinfo():\n", appname);
     storeAppendPrintf(sentry, "\tTotal space in arena:  %6d KB\n",
 	mp.arena >> 10);
     storeAppendPrintf(sentry, "\tOrdinary blocks:       %6d KB %6d blks\n",
@@ -604,15 +585,16 @@
 	t >> 10, percent(t, mp.arena));
 #if HAVE_EXT_MALLINFO
     storeAppendPrintf(sentry, "\tmax size of small blocks:\t%d\n", mp.mxfast);
-    storeAppendPrintf(sentry, "\tnumber of small blocks in a holding block:\t%d\n",
-	mp.nlblks);
+    storeAppendPrintf(sentry,
+	"\tnumber of small blocks in a holding block:\t%d\n", mp.nlblks);
     storeAppendPrintf(sentry, "\tsmall block rounding factor:\t%d\n", mp.grain);
-    storeAppendPrintf(sentry, "\tspace (including overhead) allocated in ord. blks:\t%d\n"
-	,mp.uordbytes);
+    storeAppendPrintf(sentry,
+	"\tspace (including overhead) allocated in ord. blks:\t%d\n",
+	mp.uordbytes);
     storeAppendPrintf(sentry, "\tnumber of ordinary blocks allocated:\t%d\n",
 	mp.allocated);
-    storeAppendPrintf(sentry, "\tbytes used in maintaining the free tree:\t%d\n",
-	mp.treeoverhead);
+    storeAppendPrintf(sentry,
+	"\tbytes used in maintaining the free tree:\t%d\n", mp.treeoverhead);
 #endif /* HAVE_EXT_MALLINFO */
 #endif /* HAVE_MALLINFO */
     storeAppendPrintf(sentry, "Memory accounted for:\n");
@@ -623,8 +605,15 @@
     storeAppendPrintf(sentry, "\tMaximum number of file descriptors:   %4d\n",
 	Squid_MaxFD);
     storeAppendPrintf(sentry, "\tLargest file desc currently in use:   %4d\n",
+#ifdef _SQUID_MSWIN_
+	XMAX(Biggest_FD, Biggest_SD));
+#else
 	Biggest_FD);
+#endif
     storeAppendPrintf(sentry, "\tNumber of file desc currently in use: %4d\n",
+#ifdef _SQUID_MSWIN_
+	Number_SD +
+#endif
 	Number_FD);
     storeAppendPrintf(sentry, "\tFiles queued for open:                %4d\n",
 	Opening_FD);
@@ -634,26 +623,15 @@
 	RESERVED_FD);
     storeAppendPrintf(sentry, "\tStore Disk files open:                %4d\n",
 	store_open_disk_fd);
-#ifdef _SQUID_MSWIN_
-    storeAppendPrintf(sentry, "Socket descriptor usage for %s:\n", appname);
-    storeAppendPrintf(sentry, "\tMaximum number of socket descriptors:   %4d\n",
-	Squid_MaxFD);
-    storeAppendPrintf(sentry, "\tLargest socket desc currently in use:   %4d\n",
-	Biggest_SD);
-    storeAppendPrintf(sentry, "\tNumber of socket desc currently in use: %4d\n",
-	Number_SD);
-#endif
+
     storeAppendPrintf(sentry, "Internal Data Structures:\n");
-    storeAppendPrintf(sentry, "\t%6d StoreEntries\n",
-	memInUse(MEM_STOREENTRY));
+    storeAppendPrintf(sentry, "\t%6d StoreEntries\n", memInUse(MEM_STOREENTRY));
     storeAppendPrintf(sentry, "\t%6d StoreEntries with MemObjects\n",
 	memInUse(MEM_MEMOBJECT));
-    storeAppendPrintf(sentry, "\t%6d Hot Object Cache Items\n",
-	hot_obj_count);
+    storeAppendPrintf(sentry, "\t%6d Hot Object Cache Items\n", hot_obj_count);
     storeAppendPrintf(sentry, "\t%6d Filemap bits set\n",
 	storeDirMapBitsInUse());
-    storeAppendPrintf(sentry, "\t%6d on-disk objects\n",
-	n_disk_objects);
+    storeAppendPrintf(sentry, "\t%6d on-disk objects\n", n_disk_objects);
 
 #if XMALLOC_STATISTICS
     storeAppendPrintf(sentry, "Memory allocation statistics\n");
@@ -694,12 +672,10 @@
 
     storeAppendPrintf(sentry, "sample_start_time = %d.%d (%s)\n",
 	(int) l->timestamp.tv_sec,
-	(int) l->timestamp.tv_usec,
-	mkrfc1123(l->timestamp.tv_sec));
+	(int) l->timestamp.tv_usec, mkrfc1123(l->timestamp.tv_sec));
     storeAppendPrintf(sentry, "sample_end_time = %d.%d (%s)\n",
 	(int) f->timestamp.tv_sec,
-	(int) f->timestamp.tv_usec,
-	mkrfc1123(f->timestamp.tv_sec));
+	(int) f->timestamp.tv_usec, mkrfc1123(f->timestamp.tv_sec));
 
     storeAppendPrintf(sentry, "client_http.requests = %f/sec\n",
 	XAVG(client_http.requests));
@@ -769,10 +745,8 @@
     storeAppendPrintf(sentry, "server.other.kbytes_out = %f/sec\n",
 	XAVG(server.other.kbytes_out.kb));
 
-    storeAppendPrintf(sentry, "icp.pkts_sent = %f/sec\n",
-	XAVG(icp.pkts_sent));
-    storeAppendPrintf(sentry, "icp.pkts_recv = %f/sec\n",
-	XAVG(icp.pkts_recv));
+    storeAppendPrintf(sentry, "icp.pkts_sent = %f/sec\n", XAVG(icp.pkts_sent));
+    storeAppendPrintf(sentry, "icp.pkts_recv = %f/sec\n", XAVG(icp.pkts_recv));
     storeAppendPrintf(sentry, "icp.queries_sent = %f/sec\n",
 	XAVG(icp.queries_sent));
     storeAppendPrintf(sentry, "icp.replies_sent = %f/sec\n",
@@ -804,16 +778,12 @@
     storeAppendPrintf(sentry, "icp.reply_median_svc_time = %f seconds\n",
 	x / 1000000.0);
     x = statHistDeltaMedian(&l->dns.svc_time, &f->dns.svc_time);
-    storeAppendPrintf(sentry, "dns.median_svc_time = %f seconds\n",
-	x / 1000.0);
+    storeAppendPrintf(sentry, "dns.median_svc_time = %f seconds\n", x / 1000.0);
     storeAppendPrintf(sentry, "unlink.requests = %f/sec\n",
 	XAVG(unlink.requests));
-    storeAppendPrintf(sentry, "page_faults = %f/sec\n",
-	XAVG(page_faults));
-    storeAppendPrintf(sentry, "select_loops = %f/sec\n",
-	XAVG(select_loops));
-    storeAppendPrintf(sentry, "select_fds = %f/sec\n",
-	XAVG(select_fds));
+    storeAppendPrintf(sentry, "page_faults = %f/sec\n", XAVG(page_faults));
+    storeAppendPrintf(sentry, "select_loops = %f/sec\n", XAVG(select_loops));
+    storeAppendPrintf(sentry, "select_fds = %f/sec\n", XAVG(select_fds));
     storeAppendPrintf(sentry, "average_select_fd_period = %f/fd\n",
 	f->select_fds > l->select_fds ?
 	(f->select_time - l->select_time) / (f->select_fds - l->select_fds)
@@ -826,25 +796,42 @@
 	XAVG(aborted_requests));
 
 #if HAVE_POLL
-    storeAppendPrintf(sentry, "syscalls.polls = %f/sec\n", XAVG(syscalls.polls));
+    storeAppendPrintf(sentry, "syscalls.polls = %f/sec\n",
+	XAVG(syscalls.polls));
 #else
-    storeAppendPrintf(sentry, "syscalls.selects = %f/sec\n", XAVG(syscalls.selects));
+    storeAppendPrintf(sentry, "syscalls.selects = %f/sec\n",
+	XAVG(syscalls.selects));
 #endif
-    storeAppendPrintf(sentry, "syscalls.disk.opens = %f/sec\n", XAVG(syscalls.disk.opens));
-    storeAppendPrintf(sentry, "syscalls.disk.closes = %f/sec\n", XAVG(syscalls.disk.closes));
-    storeAppendPrintf(sentry, "syscalls.disk.reads = %f/sec\n", XAVG(syscalls.disk.reads));
-    storeAppendPrintf(sentry, "syscalls.disk.writes = %f/sec\n", XAVG(syscalls.disk.writes));
-    storeAppendPrintf(sentry, "syscalls.disk.seeks = %f/sec\n", XAVG(syscalls.disk.seeks));
-    storeAppendPrintf(sentry, "syscalls.disk.unlinks = %f/sec\n", XAVG(syscalls.disk.unlinks));
-    storeAppendPrintf(sentry, "syscalls.sock.accepts = %f/sec\n", XAVG(syscalls.sock.accepts));
-    storeAppendPrintf(sentry, "syscalls.sock.sockets = %f/sec\n", XAVG(syscalls.sock.sockets));
-    storeAppendPrintf(sentry, "syscalls.sock.connects = %f/sec\n", XAVG(syscalls.sock.connects));
-    storeAppendPrintf(sentry, "syscalls.sock.binds = %f/sec\n", XAVG(syscalls.sock.binds));
-    storeAppendPrintf(sentry, "syscalls.sock.closes = %f/sec\n", XAVG(syscalls.sock.closes));
-    storeAppendPrintf(sentry, "syscalls.sock.reads = %f/sec\n", XAVG(syscalls.sock.reads));
-    storeAppendPrintf(sentry, "syscalls.sock.writes = %f/sec\n", XAVG(syscalls.sock.writes));
-    storeAppendPrintf(sentry, "syscalls.sock.recvfroms = %f/sec\n", XAVG(syscalls.sock.recvfroms));
-    storeAppendPrintf(sentry, "syscalls.sock.sendtos = %f/sec\n", XAVG(syscalls.sock.sendtos));
+    storeAppendPrintf(sentry, "syscalls.disk.opens = %f/sec\n",
+	XAVG(syscalls.disk.opens));
+    storeAppendPrintf(sentry, "syscalls.disk.closes = %f/sec\n",
+	XAVG(syscalls.disk.closes));
+    storeAppendPrintf(sentry, "syscalls.disk.reads = %f/sec\n",
+	XAVG(syscalls.disk.reads));
+    storeAppendPrintf(sentry, "syscalls.disk.writes = %f/sec\n",
+	XAVG(syscalls.disk.writes));
+    storeAppendPrintf(sentry, "syscalls.disk.seeks = %f/sec\n",
+	XAVG(syscalls.disk.seeks));
+    storeAppendPrintf(sentry, "syscalls.disk.unlinks = %f/sec\n",
+	XAVG(syscalls.disk.unlinks));
+    storeAppendPrintf(sentry, "syscalls.sock.accepts = %f/sec\n",
+	XAVG(syscalls.sock.accepts));
+    storeAppendPrintf(sentry, "syscalls.sock.sockets = %f/sec\n",
+	XAVG(syscalls.sock.sockets));
+    storeAppendPrintf(sentry, "syscalls.sock.connects = %f/sec\n",
+	XAVG(syscalls.sock.connects));
+    storeAppendPrintf(sentry, "syscalls.sock.binds = %f/sec\n",
+	XAVG(syscalls.sock.binds));
+    storeAppendPrintf(sentry, "syscalls.sock.closes = %f/sec\n",
+	XAVG(syscalls.sock.closes));
+    storeAppendPrintf(sentry, "syscalls.sock.reads = %f/sec\n",
+	XAVG(syscalls.sock.reads));
+    storeAppendPrintf(sentry, "syscalls.sock.writes = %f/sec\n",
+	XAVG(syscalls.sock.writes));
+    storeAppendPrintf(sentry, "syscalls.sock.recvfroms = %f/sec\n",
+	XAVG(syscalls.sock.recvfroms));
+    storeAppendPrintf(sentry, "syscalls.sock.sendtos = %f/sec\n",
+	XAVG(syscalls.sock.sendtos));
 
     storeAppendPrintf(sentry, "cpu_time = %f seconds\n", ct);
     storeAppendPrintf(sentry, "wall_time = %f seconds\n", dt);
@@ -863,57 +850,38 @@
 	statCountersInit(&CountHourHist[i]);
     statCountersInit(&Counter);
     eventAdd("statAvgTick", statAvgTick, NULL, (double) COUNT_INTERVAL, 1);
-    cachemgrRegister("info",
-	"General Runtime Information",
-	info_get, 0, 1);
+    cachemgrRegister("info", "General Runtime Information", info_get, 0, 1);
     cachemgrRegister("filedescriptors",
-	"Process Filedescriptor Allocation",
-	statFiledescriptors, 0, 1);
-    cachemgrRegister("objects",
-	"All Cache Objects",
-	stat_objects_get, 0, 0);
+	"Process Filedescriptor Allocation", statFiledescriptors, 0, 1);
+    cachemgrRegister("objects", "All Cache Objects", stat_objects_get, 0, 0);
     cachemgrRegister("vm_objects",
-	"In-Memory and In-Transit Objects",
-	stat_vmobjects_get, 0, 0);
+	"In-Memory and In-Transit Objects", stat_vmobjects_get, 0, 0);
 #if DEBUG_OPENFD
     cachemgrRegister("openfd_objects",
-	"Objects with Swapout files open",
-	statOpenfdObj, 0, 0);
+	"Objects with Swapout files open", statOpenfdObj, 0, 0);
 #endif
     cachemgrRegister("io",
-	"Server-side network read() size histograms",
-	stat_io_get, 0, 1);
+	"Server-side network read() size histograms", stat_io_get, 0, 1);
     cachemgrRegister("counters",
-	"Traffic and Resource Counters",
-	statCountersDump, 0, 1);
+	"Traffic and Resource Counters", statCountersDump, 0, 1);
     cachemgrRegister("peer_select",
-	"Peer Selection Algorithms",
-	statPeerSelect, 0, 1);
+	"Peer Selection Algorithms", statPeerSelect, 0, 1);
     cachemgrRegister("digest_stats",
-	"Cache Digest and ICP blob",
-	statDigestBlob, 0, 1);
-    cachemgrRegister("5min",
-	"5 Minute Average of Counters",
-	statAvg5min, 0, 1);
+	"Cache Digest and ICP blob", statDigestBlob, 0, 1);
+    cachemgrRegister("5min", "5 Minute Average of Counters", statAvg5min, 0, 1);
     cachemgrRegister("60min",
-	"60 Minute Average of Counters",
-	statAvg60min, 0, 1);
-    cachemgrRegister("utilization",
-	"Cache Utilization",
-	statUtilization, 0, 1);
+	"60 Minute Average of Counters", statAvg60min, 0, 1);
+    cachemgrRegister("utilization", "Cache Utilization", statUtilization, 0, 1);
 #if STAT_GRAPHS
     cachemgrRegister("graph_variables",
-	"Display cache metrics graphically",
-	statGraphDump, 0, 1);
+	"Display cache metrics graphically", statGraphDump, 0, 1);
 #endif
     cachemgrRegister("histograms",
-	"Full Histogram Counts",
-	statCountersHistograms, 0, 1);
+	"Full Histogram Counts", statCountersHistograms, 0, 1);
     ClientActiveRequests.head = NULL;
     ClientActiveRequests.tail = NULL;
     cachemgrRegister("active_requests",
-	"Client-side Active Requests",
-	statClientRequests, 0, 1);
+	"Client-side Active Requests", statClientRequests, 0, 1);
 }
 
 static void
@@ -1017,11 +985,16 @@
     statCountersInitSpecial(dest);
     /* now handle special cases */
     /* note: we assert that histogram capacities do not change */
-    statHistCopy(&dest->client_http.all_svc_time, &orig->client_http.all_svc_time);
-    statHistCopy(&dest->client_http.miss_svc_time, &orig->client_http.miss_svc_time);
-    statHistCopy(&dest->client_http.nm_svc_time, &orig->client_http.nm_svc_time);
-    statHistCopy(&dest->client_http.nh_svc_time, &orig->client_http.nh_svc_time);
-    statHistCopy(&dest->client_http.hit_svc_time, &orig->client_http.hit_svc_time);
+    statHistCopy(&dest->client_http.all_svc_time,
+	&orig->client_http.all_svc_time);
+    statHistCopy(&dest->client_http.miss_svc_time,
+	&orig->client_http.miss_svc_time);
+    statHistCopy(&dest->client_http.nm_svc_time,
+	&orig->client_http.nm_svc_time);
+    statHistCopy(&dest->client_http.nh_svc_time,
+	&orig->client_http.nh_svc_time);
+    statHistCopy(&dest->client_http.hit_svc_time,
+	&orig->client_http.hit_svc_time);
     statHistCopy(&dest->icp.query_svc_time, &orig->icp.query_svc_time);
     statHistCopy(&dest->icp.reply_svc_time, &orig->icp.reply_svc_time);
     statHistCopy(&dest->dns.svc_time, &orig->dns.svc_time);
@@ -1064,12 +1037,10 @@
 
     storeAppendPrintf(sentry, "sample_time = %d.%d (%s)\n",
 	(int) f->timestamp.tv_sec,
-	(int) f->timestamp.tv_usec,
-	mkrfc1123(f->timestamp.tv_sec));
+	(int) f->timestamp.tv_usec, mkrfc1123(f->timestamp.tv_sec));
     storeAppendPrintf(sentry, "client_http.requests = %d\n",
 	f->client_http.requests);
-    storeAppendPrintf(sentry, "client_http.hits = %d\n",
-	f->client_http.hits);
+    storeAppendPrintf(sentry, "client_http.hits = %d\n", f->client_http.hits);
     storeAppendPrintf(sentry, "client_http.errors = %d\n",
 	f->client_http.errors);
     storeAppendPrintf(sentry, "client_http.kbytes_in = %d\n",
@@ -1115,18 +1086,12 @@
     storeAppendPrintf(sentry, "server.other.kbytes_out = %d\n",
 	(int) f->server.other.kbytes_out.kb);
 
-    storeAppendPrintf(sentry, "icp.pkts_sent = %d\n",
-	f->icp.pkts_sent);
-    storeAppendPrintf(sentry, "icp.pkts_recv = %d\n",
-	f->icp.pkts_recv);
-    storeAppendPrintf(sentry, "icp.queries_sent = %d\n",
-	f->icp.queries_sent);
-    storeAppendPrintf(sentry, "icp.replies_sent = %d\n",
-	f->icp.replies_sent);
-    storeAppendPrintf(sentry, "icp.queries_recv = %d\n",
-	f->icp.queries_recv);
-    storeAppendPrintf(sentry, "icp.replies_recv = %d\n",
-	f->icp.replies_recv);
+    storeAppendPrintf(sentry, "icp.pkts_sent = %d\n", f->icp.pkts_sent);
+    storeAppendPrintf(sentry, "icp.pkts_recv = %d\n", f->icp.pkts_recv);
+    storeAppendPrintf(sentry, "icp.queries_sent = %d\n", f->icp.queries_sent);
+    storeAppendPrintf(sentry, "icp.replies_sent = %d\n", f->icp.replies_sent);
+    storeAppendPrintf(sentry, "icp.queries_recv = %d\n", f->icp.queries_recv);
+    storeAppendPrintf(sentry, "icp.replies_recv = %d\n", f->icp.replies_recv);
     storeAppendPrintf(sentry, "icp.query_timeouts = %d\n",
 	f->icp.query_timeouts);
     storeAppendPrintf(sentry, "icp.replies_queued = %d\n",
@@ -1145,16 +1110,11 @@
 	(int) f->icp.r_kbytes_recv.kb);
 
 #if USE_CACHE_DIGESTS
-    storeAppendPrintf(sentry, "icp.times_used = %d\n",
-	f->icp.times_used);
-    storeAppendPrintf(sentry, "cd.times_used = %d\n",
-	f->cd.times_used);
-    storeAppendPrintf(sentry, "cd.msgs_sent = %d\n",
-	f->cd.msgs_sent);
-    storeAppendPrintf(sentry, "cd.msgs_recv = %d\n",
-	f->cd.msgs_recv);
-    storeAppendPrintf(sentry, "cd.memory = %d\n",
-	(int) f->cd.memory.kb);
+    storeAppendPrintf(sentry, "icp.times_used = %d\n", f->icp.times_used);
+    storeAppendPrintf(sentry, "cd.times_used = %d\n", f->cd.times_used);
+    storeAppendPrintf(sentry, "cd.msgs_sent = %d\n", f->cd.msgs_sent);
+    storeAppendPrintf(sentry, "cd.msgs_recv = %d\n", f->cd.msgs_recv);
+    storeAppendPrintf(sentry, "cd.memory = %d\n", (int) f->cd.memory.kb);
     storeAppendPrintf(sentry, "cd.local_memory = %d\n",
 	(int) (store_digest ? store_digest->mask_size / 1024 : 0));
     storeAppendPrintf(sentry, "cd.kbytes_sent = %d\n",
@@ -1163,20 +1123,15 @@
 	(int) f->cd.kbytes_recv.kb);
 #endif
 
-    storeAppendPrintf(sentry, "unlink.requests = %d\n",
-	f->unlink.requests);
-    storeAppendPrintf(sentry, "page_faults = %d\n",
-	f->page_faults);
-    storeAppendPrintf(sentry, "select_loops = %d\n",
-	f->select_loops);
-    storeAppendPrintf(sentry, "cpu_time = %f\n",
-	f->cputime);
+    storeAppendPrintf(sentry, "unlink.requests = %d\n", f->unlink.requests);
+    storeAppendPrintf(sentry, "page_faults = %d\n", f->page_faults);
+    storeAppendPrintf(sentry, "select_loops = %d\n", f->select_loops);
+    storeAppendPrintf(sentry, "cpu_time = %f\n", f->cputime);
     storeAppendPrintf(sentry, "wall_time = %f\n",
 	tvSubDsec(f->timestamp, current_time));
     storeAppendPrintf(sentry, "swap_files_cleaned = %d\n",
 	f->swap_files_cleaned);
-    storeAppendPrintf(sentry, "aborted_requests = %d\n",
-	f->aborted_requests);
+    storeAppendPrintf(sentry, "aborted_requests = %d\n", f->aborted_requests);
 }
 
 void
@@ -1217,7 +1172,8 @@
     storeAppendPrintf(sentry, "Total:        %7d (%3d%%)\n",
 	tot_used, xpercentInt(tot_used, tot_used));
 #else
-    storeAppendPrintf(sentry, "peer digests are disabled; no stats is available.\n");
+    storeAppendPrintf(sentry,
+	"peer digests are disabled; no stats is available.\n");
 #endif
 }
 
@@ -1263,19 +1219,29 @@
     assert(l);
     switch (which) {
     case MEDIAN_HTTP:
-	x = statHistDeltaMedian(&l->client_http.all_svc_time, &f->client_http.all_svc_time);
+	x =
+	    statHistDeltaMedian(&l->client_http.all_svc_time,
+	    &f->client_http.all_svc_time);
 	break;
     case MEDIAN_HIT:
-	x = statHistDeltaMedian(&l->client_http.hit_svc_time, &f->client_http.hit_svc_time);
+	x =
+	    statHistDeltaMedian(&l->client_http.hit_svc_time,
+	    &f->client_http.hit_svc_time);
 	break;
     case MEDIAN_MISS:
-	x = statHistDeltaMedian(&l->client_http.miss_svc_time, &f->client_http.miss_svc_time);
+	x =
+	    statHistDeltaMedian(&l->client_http.miss_svc_time,
+	    &f->client_http.miss_svc_time);
 	break;
     case MEDIAN_NM:
-	x = statHistDeltaMedian(&l->client_http.nm_svc_time, &f->client_http.nm_svc_time);
+	x =
+	    statHistDeltaMedian(&l->client_http.nm_svc_time,
+	    &f->client_http.nm_svc_time);
 	break;
     case MEDIAN_NH:
-	x = statHistDeltaMedian(&l->client_http.nh_svc_time, &f->client_http.nh_svc_time);
+	x =
+	    statHistDeltaMedian(&l->client_http.nh_svc_time,
+	    &f->client_http.nh_svc_time);
 	break;
     case MEDIAN_ICP_QUERY:
 	x = statHistDeltaMedian(&l->icp.query_svc_time, &f->icp.query_svc_time);
@@ -1336,8 +1302,12 @@
     size_t s;
     size_t c;
     assert(minutes < N_COUNT_HIST);
-    c = CountHist[0].client_http.kbytes_out.kb - CountHist[minutes].client_http.kbytes_out.kb;
-    s = CountHist[0].server.all.kbytes_in.kb - CountHist[minutes].server.all.kbytes_in.kb;
+    c =
+	CountHist[0].client_http.kbytes_out.kb -
+	CountHist[minutes].client_http.kbytes_out.kb;
+    s =
+	CountHist[0].server.all.kbytes_in.kb -
+	CountHist[minutes].server.all.kbytes_in.kb;
     /* size_t might be unsigned */
     if (c > s)
 	return dpercent(c - s, c);
@@ -1366,15 +1336,11 @@
 	    storeAppendPrintf(s, "\tin: buf %p, offset %d, size %d\n",
 		conn->in.buf, conn->in.offset, conn->in.size);
 	    storeAppendPrintf(s, "\tpeer: %s:%d\n",
-		inet_ntoa(conn->peer.sin_addr),
-		ntohs(conn->peer.sin_port));
+		inet_ntoa(conn->peer.sin_addr), ntohs(conn->peer.sin_port));
 	    storeAppendPrintf(s, "\tme: %s:%d\n",
-		inet_ntoa(conn->me.sin_addr),
-		ntohs(conn->me.sin_port));
-	    storeAppendPrintf(s, "\tnrequests: %d\n",
-		conn->nrequests);
-	    storeAppendPrintf(s, "\tpersistent: %d\n",
-		conn->persistent);
+		inet_ntoa(conn->me.sin_addr), ntohs(conn->me.sin_port));
+	    storeAppendPrintf(s, "\tnrequests: %d\n", conn->nrequests);
+	    storeAppendPrintf(s, "\tpersistent: %d\n", conn->persistent);
 	    storeAppendPrintf(s, "\tdefer: n %d, until %d\n",
 		conn->defer.n, conn->defer.until);
 	}
@@ -1384,12 +1350,14 @@
 	    http->out.offset, http->out.size);
 	storeAppendPrintf(s, "req_sz %d\n", http->req_sz);
 	e = http->entry;
-	storeAppendPrintf(s, "entry %p/%s\n", e, e ? storeKeyText(e->key) : "N/A");
+	storeAppendPrintf(s, "entry %p/%s\n", e,
+	    e ? storeKeyText(e->key) : "N/A");
 	e = http->old_entry;
-	storeAppendPrintf(s, "old_entry %p/%s\n", e, e ? storeKeyText(e->key) : "N/A");
-	storeAppendPrintf(s, "start %d.%06d (%f seconds ago)\n", http->start.tv_sec,
-	    http->start.tv_usec,
-	    tvSubDsec(http->start, current_time));
+	storeAppendPrintf(s, "old_entry %p/%s\n", e,
+	    e ? storeKeyText(e->key) : "N/A");
+	storeAppendPrintf(s, "start %d.%06d (%f seconds ago)\n",
+	    http->start.tv_sec, http->start.tv_usec, tvSubDsec(http->start,
+		current_time));
 	storeAppendPrintf(s, "\n");
     }
 }
